window.onload = function () {
	var plotter = new Plotter('canvas');

	document.getElementById('btn_rajzol').onclick = function () {
		f = new Function('x', 'var y; with (Math) { y = ' + document.getElementById('ta_function').value + '; }; return y;');

		plotter.draw_coords();
		plotter.draw();
	}
};

function Plotter(id) {
	if (this.initialize) {
		this.initialize(id);
	}
}

Plotter.prototype = {
	initialize : function (id) {
		this.canvas = document.getElementById(id);
		this.tamogatott = false;
		if (!this.canvas) {
			return;
		}

		this.tamogatott = this.canvas.getContext;
		if (this.tamogatott) {
			this.szel = this.canvas.width;
			this.mag = this.canvas.height;
			this.ox = this.szel / 2;
			this.oy = this.mag / 2;
			this.ctx = this.canvas.getContext("2d");

			this.draw_coords();
		}
	},

	draw_coords: function () {
		if (this.tamogatott) {
			with (this.ctx) {
				fillStyle = "rgba(255, 255, 255, 1)";
				fillRect(0, 0, this.szel, this.mag);
				strokeStyle = "black";
				beginPath();
				moveTo(this.szel/2, 0);
				lineTo(this.szel/2, this.mag);
				moveTo(0, this.mag/2);
				lineTo(this.szel, this.mag/2);
				stroke();
			}
		}
	},

	plot: function (x, y) {
		this.ctx.lineTo(this.ox + x, this.oy - y)
	},

	draw: function () {
		if (this.tamogatott) {
			this.ctx.strokeStyle = "orange";
			this.ctx.beginPath();
			this.ctx.moveTo(-this.szel/2, f(-this.szel/2));
			for (var x = -this.szel/2; x < this.szel/2; x++) {
				y = f(x);
				this.plot(x, y);
			}
			this.ctx.stroke();
		}
	}

};